﻿@model List<MvcWebsiteOcc.Areas.administrators.Models.AboutUs_Description>

@{
    ViewBag.Title = "Giới thiệu công ty";
    ViewBag.Description = "phan quyen";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.AboutUs_Achievements> achiImages = ViewBag.AchiImages;

    MvcWebsiteOcc.Areas.administrators.Models.AboutUs detail = ViewBag.Detail;
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    <input type="hidden" name="editID" value ="@detail.AboutID"/>
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        @*<button class="btn btn-darkorange " onclick="window.location.href='/administrators/systems_manager/roles_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>*@
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="tabbable col-lg-7 col-sm-7 col-xs-12">

                                <ul class="nav nav-tabs  tabs-flat">

                                    @{foreach (var lang in langs)
                                      {
                                          if (lang.IsDefault == true)
                                          {
                                        <li class="active"><a data-toggle="tab" href="#@lang.Lang_Code" aria-expanded="false">
                                            <img src="/Uploaded/images/language/@lang.Lang_Flag">
                                            @lang.Lang_Name</a></li> 
                                          }
                                          else
                                          {
                                        <li class=""><a data-toggle="tab" href="#@lang.Lang_Code" aria-expanded="false">
                                            <img src="/Uploaded/images/language/@lang.Lang_Flag">
                                            @lang.Lang_Name</a></li>  
                                          }
                                      }}
                                </ul>

                                <div class="tab-content  tabs-flat">

                                    @{ int i = 0;
                                       foreach (var lang in langs)
                                       {
                                           string activeTab = "";
                                           if (lang.IsDefault == true)
                                           {
                                               activeTab = "active";
                                           }
                                      
                                        <div class="tab-pane @activeTab" id="@lang.Lang_Code">
                                            <div id="registration-form">
                                                <div class="row">
                                                    <div class="form-title">
                                                        Giới thiệu về công ty
                                                    </div>
                                                    @Html.HiddenFor(p => p[i].Lang_ID, new { Value = Model[i].Lang_ID })
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model[i].NameCompany)</label>
                                                        @Html.TextBoxFor(p => p[i].NameCompany, new { placeholder = "Tên công ty", @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p[i].NameCompany)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model[i].Description)</label>
                                                        @Html.TextAreaFor(p => p[i].Description, new { placeholder = "Giới thiệu", @class = "form-control textAuto summernote" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p[i].Description)</span>

                                                        @* <div id="summernote" class="textAuto"></div>*@
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                           i++;
                                       }
                                    }

                                </div>
                            </div>
                            <div class="tabbable col-lg-5 col-sm-5 col-xs-12">
                                <div class="form-title">
                                    Ảnh
                                </div>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                        <span class="help-block">Ảnh có định dạng .png, .jpg ... ! </span>
                                    </div>
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                        <div class="form-group">
                                            <label>Ảnh công ty</label>
                                            @(Html.Kendo().Upload()
                                                       .Name("file_image")
                                                        .TemplateId("fileTemplate")
                                                        .Multiple(false)
                                                        .Events(events => events
                                                            .Select("onSelect"))
                                                        .Async(ass => ass
                                                        .Save("updateImageAbout", "website_manager", new { id = detail.AboutID })
                                                        .AutoUpload(true))
                                                        .Messages(m => m.Select("Upload ảnh"))
                                                        .Messages(m => m.UploadSelectedFiles("Upload"))
                                                        .Files(
                                                        files =>
                                                        {
                                                            files.Add().Name(detail.Image);
                                                        })
                                                       )

                                            <script id="fileTemplate" type="text/x-kendo-template">
    
                                            <span class='k-progress'></span>
                                            <img class='k-icon k_img_one  #=addExtensionClass(files[0].extension)#' src='/Uploaded/Images/aboutus/#=name#'/> <!-- here im trying to bind the image -->
                                            <span class='k-filename' title='#=name#'>#=name#</span>
                                            <strong class="k-upload-status">
                                                <button type="submit" class="k-button k-button-bare k-upload-action">
                                                </button>
                                            </strong>

                                            </script>
                                        </div>
                                    </div>
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                        <div class="form-group">
                                            <label>Ảnh thành tích</label>
                                            @{if (achiImages.Count() > 0)
                                              {
                                                @(Html.Kendo().Upload()
                                                        .Name("file_images")
                                                        .TemplateId("filesTemplate")
                                                        .Events(events => events.Select("onSelect"))
                                                        .Messages(m => m.Select("Upload ảnh"))
                                                        .Multiple(true)
                                                        .HtmlAttributes(new { accept = "image/*" })
                                                        .Async(ass => ass
                                                        .Save("updateImageAchi", "website_manager")
                                                        .Remove("deleteImageAchi", "website_manager")
                                                        .AutoUpload(true))
                                                        .Messages(m => m.Select("Upload ảnh"))
                                                        .Messages(m => m.UploadSelectedFiles("Upload"))
                                                        .Files(
                                                        files =>
                                                        {
                                                            foreach (var img in achiImages)
                                                            {
                                                                files.Add().Name(img.AchiImage);
                                                            }

                                                        })
                                                       )
                                                <script id="filesTemplate" type="text/x-kendo-template">
    
                                                    <span class='k-progress'></span>
                                                     <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#' src='/Uploaded/Images/gioithieu/anh-thanh-tich/#=name#'/> <!-- here im trying to bind the image -->
                                                    <span class='k-filename'>#=name#</span>
                                                    <strong class="k-upload-status">
                                                        <button type="button" class="k-button k-button-bare k-upload-action">
                                                            <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                        </button>
                                                    </strong>

                                                </script>
                                              }
                                              else
                                              {
                                                @(Html.Kendo().Upload()
                                                        .Name("file_images")
                                                        .TemplateId("fileTemplate")
                                                        .Events(events => events.Select("onSelect"))
                                                        .Messages(m => m.Select("Upload ảnh"))
                                                        .Multiple(true)
                                                        .HtmlAttributes(new { accept = "image/*" })
                                                       )
                                              }
                                            }
                                        </div>
                                    </div>

                                </div>
                                @*  <div class="form-title">
                                    Thông tin công ty
                                </div>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                   
                                    </div>
                                </div>*@
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}

<script>
    function onSelectFile(e) {
        var files = e.files;

        $.each(files, function () {

            if (this.extension.toLowerCase() != ".xml") {
                alert("Chỉ có thể up file .xml!")
                e.preventDefault();
            }

        });
    }
    var a = 0;
    function onSelect(e) {
        //check image size
        //read file
        $.each(e.files, function (index, value) {
            readMultipleFiles(value);
        });
        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');
                $('#modal-warning').modal('show')
                e.preventDefault();
                return false;
            }
            return true;
        });



        a++;
    }
    //set class for <img/>
    function addExtensionClass(extension) {
        return 'viewImg' + a;
    }
    //set src for <img/>
    function readMultipleFiles(file) {
        var reader = new FileReader();
        reader.onload = function (e) {
            // bind the file content
            $('.viewImg' + a + '').attr({ src: e.target.result });
        }
        reader.readAsDataURL(file.rawFile);
    }
</script>


<div class="modal fade modal-message modal-warning" id="modal-warning" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png !
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>



@section PageScripts{

    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>

    <script>

        $('.textAuto').autosize({ append: "\n" });

        $(document).ready(function () {

            $("#websites").addClass("active open");
            $("#aboutus").addClass("active open");
            $("#about").addClass("active");
        });

    </script>

    <!--Summernote Scripts-->
    <script src="/Static/admin/assets/js/editors/summernote/summernote.js"></script>
    <script src="/Static/admin/assets/js/editors/summernote/summernote-vi-VN.js"></script>
    <script>

        //var markupStr = 'hello world';
        //$('.summernote').summernote('code', markupStr);
        $('.summernote').summernote({
            height: 100,                 // set editor height
            lang: 'vi-VN'
        });
    </script>

}